Bug 771482 - gcc-4.7 arm software floating point build fails with undefined type error
gcc-4.7 arm software floating point build fails with undefined type error
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
arm Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2012-01-03 15:57 EST by Dennis Gilmore
Modified: 2012-01-06 13:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-06 03:15:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
s390 support (3.33 KB, patch)
2012-01-06 13:00 EST, Dan Horák
no flags Details | Diff
arm support (1.04 KB, patch)
2012-01-06 13:01 EST, Dan Horák
no flags Details | Diff

  None (edit)
Description Dennis Gilmore 2012-01-03 15:57:33 EST
Description of problem:


/usr/armv5tel-redhat-linux-gnueabi/bin/ -B/usr/armv5tel-redhat-linux-gnueabi/lib/ -isystem /usr/armv5tel-redhat-linux-gnueabi/include -isystem /usr/armv5tel-redhat-linux-gnueabi/sys-include -O2 -g -I . -c -fgo-prefix=libgo_syscall ../../../libgo/go/syscall/env_unix.go ../../../libgo/go/syscall/syscall_errno.go ../../../libgo/go/syscall/libcall_support.go ../../../libgo/go/syscall/libcall_posix.go ../../../libgo/go/syscall/socket.go ../../../libgo/go/syscall/str.go ../../../libgo/go/syscall/syscall.go ../../../libgo/go/syscall/syscall_unix.go ../../../libgo/go/syscall/exec_unix.go ../../../libgo/go/syscall/libcall_wait4.go ../../../libgo/go/syscall/sleep_select.go ../../../libgo/go/syscall/errstr_linux.go ../../../libgo/go/syscall/libcall_posix_largefile.go ../../../libgo/go/syscall/socket_linux.go epoll.go ../../../libgo/go/syscall/libcall_uname.go ../../../libgo/go/syscall/netlink_linux.go ../../../libgo/go/syscall/libcall_linux.go libcalls.go sysinfo.go syscall_arch.go  -fPIC -o syscall/.libs/syscall.o
../../../libgo/go/syscall/libcall_linux.go:142:38: error: use of undefined type 'PtraceRegs'
../../../libgo/go/syscall/libcall_linux.go:142:38: error: use of undefined type 'PtraceRegs'


full build log can be found at http://ausil.us/gcc-4.7-armv5tel-build.log
Comment 1 Jakub Jelinek 2012-01-05 08:07:29 EST
Guess go hasn't been ported to ARM yet, will need to %global build_go 0 for %{arm} then.
Comment 2 Jakub Jelinek 2012-01-06 03:15:43 EST
Should be fixed in gcc-4.7.0-0.4.fc17.  Of course, even better would be if somebody spent the needed time and actually made go work on arm.
Comment 3 Dan Horák 2012-01-06 04:31:44 EST
Same applies to s390(x) and ppc(64) I think, but after seeing some patches that add support for Alpha and MIPS to libgo it really shouldn't be hard to add support for our arches to libgo too.
Comment 4 Dan Horák 2012-01-06 13:00:44 EST
Created attachment 551222 [details]
s390 support
Comment 5 Dan Horák 2012-01-06 13:01:16 EST
Created attachment 551223 [details]
arm support
Comment 6 Dan Horák 2012-01-06 13:05:31 EST
With syscall_linux-s390{,x}.go files libgo should be buildable (couldn't refresh the configure script due incompatible autoconf version on my machine). The ARM support is untested.

Note You need to log in before you can comment on or make changes to this bug.